## serna-free 0.svn270

=== 3rd/jade/jade/Makefile ===

#############################################################################
# Makefile for building jade
# Generated by tmake at 14:28, 1999/10/06
#     Project: jade
#    Template: ../pro/japp
#############################################################################

####### Compiler, tools and options

CC	=	egcs
CXX	=	eg++
CFLAGS	=	-pipe -O2 -fno-strength-reduce
CXXFLAGS=	-DSTDC_HEADERS=1 \
-DHAVE_LIMITS_H=1 -DHAVE_ST_BLKSIZE=1 -O2 -fno-strength-reduce
INCPATH	=	-I../style -I../grove -I../spgrove -I../sp -I../generic
LINK	=	eg++ -pthread
LFLAGS	=	
LIBS	=	-L../libs -lgrove -lspgrove -lstyle -L../libs -lsp
MOC	=	moc

TAR	=	tar -cf
GZIP	=	gzip -9f

####### Files

HEADERS =	HtmlFOTBuilder.h \
		HtmlMessages.h \
		JadeMessages.h \
		MifFOTBuilder.h \
		MifMessages.h \
		RtfFOTBuilder.h \
		RtfMessages.h \
		RtfOle.h \
		SgmlFOTBuilder.h \
		TeXFOTBuilder.h \
		TeXMessages.h \
		TmpOutputByteStream.h \
		TransformFOTBuilder.h
SOURCES =	HtmlFOTBuilder.cxx \
		MifFOTBuilder.cxx \
		RtfFOTBuilder.cxx \
		RtfOle.cxx \
		SgmlFOTBuilder.cxx \
		TeXFOTBuilder.cxx \
		TransformFOTBuilder.cxx \
		jade.cxx
OBJECTS =	HtmlFOTBuilder.o \
		MifFOTBuilder.o \
		RtfFOTBuilder.o \
		RtfOle.o \
		SgmlFOTBuilder.o \
		TeXFOTBuilder.o \
		TransformFOTBuilder.o \
		jade.o
SRCMOC	=	
OBJMOC	=	
DIST	=	
TARGET	=	jade

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: $(TARGET)

$(TARGET): $(OBJECTS) $(OBJMOC) 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

moc: $(SRCMOC)

tmake:
	tmake jade.pro

dist:
	$(TAR) jade.tar jade.pro $(SOURCES) $(HEADERS) $(DIST)
	$(GZIP) jade.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(TARGET)
	-rm -f *~ core

####### Compile

HtmlFOTBuilder.o: HtmlFOTBuilder.cxx \
		HtmlFOTBuilder.h \
		HtmlMessages.h \
		HtmlFOTBuilder_inst.cxx

MifFOTBuilder.o: MifFOTBuilder.cxx \
		MifFOTBuilder.h \
		MifMessages.h \
		TmpOutputByteStream.h \
		MifFOTBuilder_inst.cxx

RtfFOTBuilder.o: RtfFOTBuilder.cxx \
		RtfFOTBuilder.h \
		TmpOutputByteStream.h \
		RtfMessages.h \
		RtfOle.h \
		RtfFOTBuilder_inst.cxx

RtfOle.o: RtfOle.cxx \
		RtfOle.h

SgmlFOTBuilder.o: SgmlFOTBuilder.cxx \
		SgmlFOTBuilder.h

TeXFOTBuilder.o: TeXFOTBuilder.cxx \
		TeXFOTBuilder.h \
		TeXMessages.h \
		TmpOutputByteStream.h \
		TeXFOTBuilder_inst.cxx

TransformFOTBuilder.o: TransformFOTBuilder.cxx \
		TransformFOTBuilder.h \
		TransformFOTBuilder_inst.cxx

jade.o: jade.cxx \
		SgmlFOTBuilder.h \
		RtfFOTBuilder.h \
		TeXFOTBuilder.h \
		TransformFOTBuilder.h \
		HtmlFOTBuilder.h \
		MifFOTBuilder.h \
		JadeMessages.h

=== 3rd/jade/sgmlnorm/Makefile ===

#############################################################################
# Makefile for building sgmlnorm
# Generated by tmake at 14:28, 1999/10/06
#     Project: sgmlnorm
#    Template: ../pro/japp
#############################################################################

####### Compiler, tools and options

CC	=	egcs
CXX	=	eg++
CFLAGS	=	-pipe -O2 -fno-strength-reduce
CXXFLAGS=	-DSTDC_HEADERS=1 \
-DHAVE_LIMITS_H=1 -DHAVE_ST_BLKSIZE=1 -O2 -fno-strength-reduce
INCPATH	=	-I../sp -I../generic
LINK	=	eg++ -pthread
LFLAGS	=	
LIBS	=	-L../libs -lsp
MOC	=	moc

TAR	=	tar -cf
GZIP	=	gzip -9f

####### Files

HEADERS =	SGMLGenerator.h
SOURCES =	SGMLGenerator.cxx \
		sgmlnorm.cxx
OBJECTS =	SGMLGenerator.o \
		sgmlnorm.o
SRCMOC	=	
OBJMOC	=	
DIST	=	
TARGET	=	sgmlnorm

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: $(TARGET)

$(TARGET): $(OBJECTS) $(OBJMOC) 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

moc: $(SRCMOC)

tmake:
	tmake sgmlnorm.pro

dist:
	$(TAR) sgmlnorm.tar sgmlnorm.pro $(SOURCES) $(HEADERS) $(DIST)
	$(GZIP) sgmlnorm.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(TARGET)
	-rm -f *~ core

####### Compile

SGMLGenerator.o: SGMLGenerator.cxx \
		SGMLGenerator.h

sgmlnorm.o: sgmlnorm.cxx \
		SGMLGenerator.h

=== 3rd/jade/spam/Makefile ===

#############################################################################
# Makefile for building spam
# Generated by tmake at 14:28, 1999/10/06
#     Project: spam
#    Template: ../pro/japp
#############################################################################

####### Compiler, tools and options

CC	=	egcs
CXX	=	eg++
CFLAGS	=	-pipe -O2 -fno-strength-reduce
CXXFLAGS=	-DSTDC_HEADERS=1 \
-DHAVE_LIMITS_H=1 -DHAVE_ST_BLKSIZE=1 -O2 -fno-strength-reduce
INCPATH	=	-I../sp -I../generic
LINK	=	eg++ -pthread
LFLAGS	=	
LIBS	=	-L../libs -lsp
MOC	=	moc

TAR	=	tar -cf
GZIP	=	gzip -9f

####### Files

HEADERS =	CopyEventHandler.h \
		MarkupEventHandler.h \
		SpamMessages.h
SOURCES =	CopyEventHandler.cxx \
		MarkupEventHandler.cxx \
		spam.cxx \
		spam_inst.cxx
OBJECTS =	CopyEventHandler.o \
		MarkupEventHandler.o \
		spam.o \
		spam_inst.o
SRCMOC	=	
OBJMOC	=	
DIST	=	
TARGET	=	spam

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: $(TARGET)

$(TARGET): $(OBJECTS) $(OBJMOC) 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

moc: $(SRCMOC)

tmake:
	tmake spam.pro

dist:
	$(TAR) spam.tar spam.pro $(SOURCES) $(HEADERS) $(DIST)
	$(GZIP) spam.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(TARGET)
	-rm -f *~ core

####### Compile

CopyEventHandler.o: CopyEventHandler.cxx \
		CopyEventHandler.h \
		MarkupEventHandler.h

MarkupEventHandler.o: MarkupEventHandler.cxx \
		MarkupEventHandler.h

spam.o: spam.cxx \
		SpamMessages.h \
		CopyEventHandler.h \
		MarkupEventHandler.h

spam_inst.o: spam_inst.cxx \
		CopyEventHandler.h \
		MarkupEventHandler.h

=== 3rd/jade/style/Makefile ===

#############################################################################
# Makefile for building libstyle.so.1.3
# Generated by tmake at 14:28, 1999/10/06
#     Project: style
#    Template: ../pro/jlib
#############################################################################

####### Compiler, tools and options

CC	=	egcs
CXX	=	eg++
CFLAGS	=	-pipe -O2 -fno-strength-reduce -fPIC
CXXFLAGS=	-DSTDC_HEADERS=1 \
-DHAVE_LIMITS_H=1 -DHAVE_ST_BLKSIZE=1 -O2 -fno-strength-reduce -fPIC
INCPATH	=	-I../grove -I../spgrove -I../sp -I../generic
LINK	=	eg++ -pthread
LFLAGS	=	-shared
LIBS	=	
AR	=	ar cqs
RANLIB	=	
MOC	=	moc

TAR	=	tar -cf
GZIP	=	gzip -9f

####### Files

HEADERS =	../include/*.h \
		Collector.h \
		DssslApp.h \
		DssslAppMessages.h \
		DssslSpecEventHandler.h \
		ELObj.h \
		ELObjMessageArg.h \
		EvalContext.h \
		Expression.h \
		FOTBuilder.h \
		GroveManager.h \
		Insn.h \
		Insn2.h \
		Interpreter.h \
		InterpreterMessages.h \
		MacroFlowObj.h \
		NumberCache.h \
		Pattern.h \
		ProcessContext.h \
		ProcessingMode.h \
		SchemeParser.h \
		SosofoObj.h \
		Style.h \
		StyleEngine.h \
		VM.h \
		charNames.h \
		dsssl_ns.h \
		jade_version.h \
		primitive.h \
		sdata.h \
		style_pch.h \
		stylelib.h
SOURCES =	Collector.cxx \
		DssslApp.cxx \
		DssslSpecEventHandler.cxx \
		ELObj.cxx \
		ELObjMessageArg.cxx \
		Expression.cxx \
		FOTBuilder.cxx \
		FlowObj.cxx \
		GroveManager.cxx \
		InheritedC.cxx \
		Insn.cxx \
		Interpreter.cxx \
		InterpreterMessages.cxx \
		MacroFlowObj.cxx \
		NumberCache.cxx \
		Pattern.cxx \
		ProcessContext.cxx \
		ProcessingMode.cxx \
		SchemeParser.cxx \
		Style.cxx \
		StyleEngine.cxx \
		common_inst.cxx \
		primitive.cxx \
		style_inst.cxx \
		stylelib.cxx
OBJECTS =	Collector.o \
		DssslApp.o \
		DssslSpecEventHandler.o \
		ELObj.o \
		ELObjMessageArg.o \
		Expression.o \
		FOTBuilder.o \
		FlowObj.o \
		GroveManager.o \
		InheritedC.o \
		Insn.o \
		Interpreter.o \
		InterpreterMessages.o \
		MacroFlowObj.o \
		NumberCache.o \
		Pattern.o \
		ProcessContext.o \
		ProcessingMode.o \
		SchemeParser.o \
		Style.o \
		StyleEngine.o \
		common_inst.o \
		primitive.o \
		style_inst.o \
		stylelib.o
SRCMOC	=	
OBJMOC	=	
DIST	=	
TARGET	=	libstyle.so.1.3
TARGETA	=	../libs/libstyle.a
TARGETD	=	libstyle.so.1.3
TARGET0	=	libstyle.so
TARGET1	=	libstyle.so.1

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: ../libs/libstyle.so.1.3

../libs/libstyle.so.1.3: $(OBJECTS) $(OBJMOC) 
	-rm -f $(TARGET) $(TARGET0) $(TARGET1)
	$(LINK) $(LFLAGS) -o $(TARGETD) $(OBJECTS) $(OBJMOC) $(LIBS)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-rm -f ../libs/$(TARGET)
	-rm -f ../libs/$(TARGET0)
	-rm -f ../libs/$(TARGET1)
	-mv $(TARGET) $(TARGET0) $(TARGET1) ../libs/

staticlib: $(TARGETA)

$(TARGETA): $(OBJECTS) $(OBJMOC) 
	-rm -f $(TARGETA)
	$(AR) $(TARGETA) $(OBJECTS) $(OBJMOC)

moc: $(SRCMOC)

tmake:
	tmake style.pro

dist:
	$(TAR) style.tar style.pro $(SOURCES) $(HEADERS) $(DIST)
	$(GZIP) style.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(TARGET)
	-rm -f $(TARGET0) $(TARGET1) $(TARGETA)
	-rm -f *~ core

####### Compile

Collector.o: Collector.cxx \
		Collector.h

DssslApp.o: DssslApp.cxx \
		stylelib.h \
		dsssl_ns.h \
		style_pch.h \
		Interpreter.h \
		ELObj.h \
		Collector.h \
		FOTBuilder.h \
		Expression.h \
		Insn.h \
		Style.h \
		ProcessingMode.h \
		Pattern.h \
		SosofoObj.h \
		NumberCache.h \
		GroveManager.h \
		DssslApp.h \
		DssslSpecEventHandler.h \
		ELObjMessageArg.h \
		EvalContext.h \
		Insn2.h \
		InterpreterMessages.h \
		MacroFlowObj.h \
		ProcessContext.h \
		VM.h \
		SchemeParser.h \
		StyleEngine.h \
		DssslAppMessages.h \
		jade_version.h

DssslSpecEventHandler.o: DssslSpecEventHandler.cxx \
		stylelib.h \
		dsssl_ns.h \
		style_pch.h \
		Interpreter.h \
		ELObj.h \
		Collector.h \
		FOTBuilder.h \
		Expression.h \
		Insn.h \
		Style.h \
		ProcessingMode.h \
		Pattern.h \
		SosofoObj.h \
		NumberCache.h \
		GroveManager.h \
		DssslApp.h \
		DssslSpecEventHandler.h \
		ELObjMessageArg.h \
		EvalContext.h \
		Insn2.h \
		InterpreterMessages.h \
		MacroFlowObj.h \
		ProcessContext.h \
		VM.h \
		SchemeParser.h \
		StyleEngine.h

ELObj.o: ELObj.cxx \
		stylelib.h \
		dsssl_ns.h \
		style_pch.h \
		Interpreter.h \
		ELObj.h \
		Collector.h \
		FOTBuilder.h \
		Expression.h \
		Insn.h \
		Style.h \
		ProcessingMode.h \
		Pattern.h \
		SosofoObj.h \
		NumberCache.h \
		GroveManager.h \
		DssslApp.h \
		DssslSpecEventHandler.h \
		ELObjMessageArg.h \
		EvalContext.h \
		Insn2.h \
		InterpreterMessages.h \
		MacroFlowObj.h \
		ProcessContext.h \
		VM.h \
		SchemeParser.h \
		StyleEngine.h

ELObjMessageArg.o: ELObjMessageArg.cxx \
		stylelib.h \
		dsssl_ns.h \
		style_pch.h \
		Interpreter.h \
		ELObj.h \
		Collector.h \
		FOTBuilder.h \
		Expression.h \
		Insn.h \
		Style.h \
		ProcessingMode.h \
		Pattern.h \
		SosofoObj.h \
		NumberCache.h \
		GroveManager.h \
		DssslApp.h \
		DssslSpecEventHandler.h \
		ELObjMessageArg.h \
		EvalContext.h \
		Insn2.h \
		InterpreterMessages.h \
		MacroFlowObj.h \
		ProcessContext.h \
		VM.h \
		SchemeParser.h \
		StyleEngine.h

Expression.o: Expression.cxx \
		stylelib.h \
		dsssl_ns.h \
		style_pch.h \
		Interpreter.h \
		ELObj.h \
		Collector.h \
		FOTBuilder.h \
		Expression.h \
		Insn.h \
		Style.h \
		ProcessingMode.h \
		Pattern.h \
		SosofoObj.h \
		NumberCache.h \
		GroveManager.h \
		DssslApp.h \
		DssslSpecEventHandler.h \
		ELObjMessageArg.h \
		EvalContext.h \
		Insn2.h \
		InterpreterMessages.h \
		MacroFlowObj.h \
		ProcessContext.h \
		VM.h \
		SchemeParser.h \
		StyleEngine.h

FOTBuilder.o: FOTBuilder.cxx \
		stylelib.h \
		dsssl_ns.h \
		style_pch.h \
		Interpreter.h \
		ELObj.h \
		Collector.h \
		FOTBuilder.h \
		Expression.h \
		Insn.h \
		Style.h \
		ProcessingMode.h \
		Pattern.h \
		SosofoObj.h \
		NumberCache.h \
		GroveManager.h \
		DssslApp.h \
		DssslSpecEventHandler.h \
		ELObjMessageArg.h \
		EvalContext.h \
		Insn2.h \
		InterpreterMessages.h \
		MacroFlowObj.h \
		ProcessContext.h \
		VM.h \
		SchemeParser.h \
		StyleEngine.h

FlowObj.o: FlowObj.cxx \
		stylelib.h \
		dsssl_ns.h \
		style_pch.h \
		Interpreter.h \
		ELObj.h \
		Collector.h \
		FOTBuilder.h \
		Expression.h \
		Insn.h \
		Style.h \
		ProcessingMode.h \
		Pattern.h \
		SosofoObj.h \
		NumberCache.h \
		GroveManager.h \
		DssslApp.h \
		DssslSpecEventHandler.h \
		ELObjMessageArg.h \
		EvalContext.h \
		Insn2.h \
		InterpreterMessages.h \
		MacroFlowObj.h \
		ProcessContext.h \
		VM.h \
		SchemeParser.h \
		StyleEngine.h \
		FlowObj_inst.cxx

GroveManager.o: GroveManager.cxx \
		stylelib.h \
		dsssl_ns.h \
		style_pch.h \
		Interpreter.h \
		ELObj.h \
		Collector.h \
		FOTBuilder.h \
		Expression.h \
		Insn.h \
		Style.h \
		ProcessingMode.h \
		Pattern.h \
		SosofoObj.h \
		NumberCache.h \
		GroveManager.h \
		DssslApp.h \
		DssslSpecEventHandler.h \
		ELObjMessageArg.h \
		EvalContext.h \
		Insn2.h \
		InterpreterMessages.h \
		MacroFlowObj.h \
		ProcessContext.h \
		VM.h \
		SchemeParser.h \
		StyleEngine.h

InheritedC.o: InheritedC.cxx \
		stylelib.h \
		dsssl_ns.h \
		style_pch.h \
		Interpreter.h \
		ELObj.h \
		Collector.h \
		FOTBuilder.h \
		Expression.h \
		Insn.h \
		Style.h \
		ProcessingMode.h \
		Pattern.h \
		SosofoObj.h \
		NumberCache.h \
		GroveManager.h \
		DssslApp.h \
		DssslSpecEventHandler.h \
		ELObjMessageArg.h \
		EvalContext.h \
		Insn2.h \
		InterpreterMessages.h \
		MacroFlowObj.h \
		ProcessContext.h \
		VM.h \
		SchemeParser.h \
		StyleEngine.h

Insn.o: Insn.cxx \
		stylelib.h \
		dsssl_ns.h \
		style_pch.h \
		Interpreter.h \
		ELObj.h \
		Collector.h \
		FOTBuilder.h \
		Expression.h \
		Insn.h \
		Style.h \
		ProcessingMode.h \
		Pattern.h \
		SosofoObj.h \
		NumberCache.h \
		GroveManager.h \
		DssslApp.h \
		DssslSpecEventHandler.h \
		ELObjMessageArg.h \
		EvalContext.h \
		Insn2.h \
		InterpreterMessages.h \
		MacroFlowObj.h \
		ProcessContext.h \
		VM.h \
		SchemeParser.h \
		StyleEngine.h

Interpreter.o: Interpreter.cxx \
		stylelib.h \
		dsssl_ns.h \
		style_pch.h \
		Interpreter.h \
		ELObj.h \
		Collector.h \
		FOTBuilder.h \
		Expression.h \
		Insn.h \
		Style.h \
		ProcessingMode.h \
		Pattern.h \
		SosofoObj.h \
		NumberCache.h \
		GroveManager.h \
		DssslApp.h \
		DssslSpecEventHandler.h \
		ELObjMessageArg.h \
		EvalContext.h \
		Insn2.h \
		InterpreterMessages.h \
		MacroFlowObj.h \
		ProcessContext.h \
		VM.h \
		SchemeParser.h \
		StyleEngine.h \
		charNames.h \
		sdata.h

InterpreterMessages.o: InterpreterMessages.cxx \
		InterpreterMessages.h

MacroFlowObj.o: MacroFlowObj.cxx \
		stylelib.h \
		dsssl_ns.h \
		style_pch.h \
		Interpreter.h \
		ELObj.h \
		Collector.h \
		FOTBuilder.h \
		Expression.h \
		Insn.h \
		Style.h \
		ProcessingMode.h \
		Pattern.h \
		SosofoObj.h \
		NumberCache.h \
		GroveManager.h \
		DssslApp.h \
		DssslSpecEventHandler.h \
		ELObjMessageArg.h \
		EvalContext.h \
		Insn2.h \
		InterpreterMessages.h \
		MacroFlowObj.h \
		ProcessContext.h \
		VM.h \
		SchemeParser.h \
		StyleEngine.h

NumberCache.o: NumberCache.cxx \
		stylelib.h \
		dsssl_ns.h \
		style_pch.h \
		Interpreter.h \
		ELObj.h \
		Collector.h \
		FOTBuilder.h \
		Expression.h \
		Insn.h \
		Style.h \
		ProcessingMode.h \
		Pattern.h \
		SosofoObj.h \
		NumberCache.h \
		GroveManager.h \
		DssslApp.h \
		DssslSpecEventHandler.h \
		ELObjMessageArg.h \
		EvalContext.h \
		Insn2.h \
		InterpreterMessages.h \
		MacroFlowObj.h \
		ProcessContext.h \
		VM.h \
		SchemeParser.h \
		StyleEngine.h

Pattern.o: Pattern.cxx \
		stylelib.h \
		dsssl_ns.h \
		style_pch.h \
		Interpreter.h \
		ELObj.h \
		Collector.h \
		FOTBuilder.h \
		Expression.h \
		Insn.h \
		Style.h \
		ProcessingMode.h \
		Pattern.h \
		SosofoObj.h \
		NumberCache.h \
		GroveManager.h \
		DssslApp.h \
		DssslSpecEventHandler.h \
		ELObjMessageArg.h \
		EvalContext.h \
		Insn2.h \
		InterpreterMessages.h \
		MacroFlowObj.h \
		ProcessContext.h \
		VM.h \
		SchemeParser.h \
		StyleEngine.h

ProcessContext.o: ProcessContext.cxx \
		stylelib.h \
		dsssl_ns.h \
		style_pch.h \
		Interpreter.h \
		ELObj.h \
		Collector.h \
		FOTBuilder.h \
		Expression.h \
		Insn.h \
		Style.h \
		ProcessingMode.h \
		Pattern.h \
		SosofoObj.h \
		NumberCache.h \
		GroveManager.h \
		DssslApp.h \
		DssslSpecEventHandler.h \
		ELObjMessageArg.h \
		EvalContext.h \
		Insn2.h \
		InterpreterMessages.h \
		MacroFlowObj.h \
		ProcessContext.h \
		VM.h \
		SchemeParser.h \
		StyleEngine.h

ProcessingMode.o: ProcessingMode.cxx \
		stylelib.h \
		dsssl_ns.h \
		style_pch.h \
		Interpreter.h \
		ELObj.h \
		Collector.h \
		FOTBuilder.h \
		Expression.h \
		Insn.h \
		Style.h \
		ProcessingMode.h \
		Pattern.h \
		SosofoObj.h \
		NumberCache.h \
		GroveManager.h \
		DssslApp.h \
		DssslSpecEventHandler.h \
		ELObjMessageArg.h \
		EvalContext.h \
		Insn2.h \
		InterpreterMessages.h \
		MacroFlowObj.h \
		ProcessContext.h \
		VM.h \
		SchemeParser.h \
		StyleEngine.h

SchemeParser.o: SchemeParser.cxx \
		stylelib.h \
		dsssl_ns.h \
		style_pch.h \
		Interpreter.h \
		ELObj.h \
		Collector.h \
		FOTBuilder.h \
		Expression.h \
		Insn.h \
		Style.h \
		ProcessingMode.h \
		Pattern.h \
		SosofoObj.h \
		NumberCache.h \
		GroveManager.h \
		DssslApp.h \
		DssslSpecEventHandler.h \
		ELObjMessageArg.h \
		EvalContext.h \
		Insn2.h \
		InterpreterMessages.h \
		MacroFlowObj.h \
		ProcessContext.h \
		VM.h \
		SchemeParser.h \
		StyleEngine.h

Style.o: Style.cxx \
		stylelib.h \
		dsssl_ns.h \
		style_pch.h \
		Interpreter.h \
		ELObj.h \
		Collector.h \
		FOTBuilder.h \
		Expression.h \
		Insn.h \
		Style.h \
		ProcessingMode.h \
		Pattern.h \
		SosofoObj.h \
		NumberCache.h \
		GroveManager.h \
		DssslApp.h \
		DssslSpecEventHandler.h \

=== serna/app/rpm/Makefile ===
#
# Makefile for rpmbuild (called during rpmbuild invocation)
#

ST_DIR          ?= /home/abs/main
ST_BUILDDIR     ?= $(ST_DIR)/build

override prefix  := $(if $(prefix),$(shell echo $(prefix) | sed -e 's%^/%%'),usr/local)

top_srcdir	?= $(ST_DIR)
inst_prefix	?= ${prefix}
rpm_prefix      ?= ${prefix}

all-forward: rpm-install

ifneq (${MAKEFILE_INSTALL},)
    include ${MAKEFILE_INSTALL}
else
    $(error Cannot find makefile when preparing rpm)
endif

=== serna/docutils/mk/Makefile ===
STYLE_PATH    = $(top_srcdir)\apps\serna\dist\xml\stylesheets

NW_ORIGNAME   = docbook-xsl-1.68.1
NW_DOCBOOK    = chunk.xsl
NW_CHNK_CMN   = chunk-common.xsl
NW_DBARCHIVE  = $(STYLE_PATH)\$(NW_ORIGNAME).tar.bz2

XSLTPROC      = $(THIRD_DIR)\bin\xsltproc.cmd --xinclude

DOCDIRS       = betatesters_guide users_guide developers_guide installation_guide faq xslbricks sapi_guide sapi sapi_py gui_items_guide
UGSRC         = $(docdir)\users_guide\ug.xml $(docdir)\users_guide\ug-contents.xml
DGSRC         = $(docdir)\developers_guide\dg.xml $(docdir)\developers_guide\dg-contents.xml
BGSRC         = $(docdir)\betatesters_guide\bg.xml $(docdir)\betatesters_guide\bg-content.xml
IGSRC         = $(docdir)\installation_guide\ig.xml
FAQSRC        = $(docdir)\faq\faq.xml $(docdir)\faq\faq-contents.xml
SGSRC         = $(docdir)\sapi_guide\sg.xml
GISRC         = $(docdir)\gui_items_guide\gg.xml
# XBSRC         = $(docdir)\xslbricks\xbguide.xml $(docdir)\xslbricks\xbguide-contents.xml

COMMON_ENT    = $(docdir)\common.ent
SOURCES       = $(docdir)\index.xml $(UGSRC) $(DGSRC) $(BGSRC) $(IGSRC) $(FAQSRC) $(SGSRC) $(XBSRC) $(GISRC) $(COMMON_ENT)
MKPROFILE     = $(srcdir)\xsl\mkprofile.xsl
MKSRC         = $(srcdir)\xsl\mkdoctags2.xsl
DBHTMLUTILS   = $(srcdir)\xsl\dbhtml-utils.xsl
CPP_SRC       = doctags.cpp
TAG_LIST      = doctags.lst
PROFILE       = serna.adp
SAPI_HTMLS    = sapi\index.html sapi_py\index.html

SAPI_GEN_DIR  = sapi
SAPI_DOC_MFT  = $(top_srcdir)/apps/serna/app/MANIFEST.sapi-docs

SAPI_PY_GEN_DIR  = sapi_py
SAPI_PY_DOC_MFT  = $(top_srcdir)/apps/serna/app/MANIFEST.sapi_py-docs

TAGS_CHK_SCRIPT = $(THIRD_DIR)\bin\python $(srcdir)\check_tags.py
MFT_CHK_SCRIPT  = $(THIRD_DIR)\bin\python $(srcdir)\check_mft.py

.SUFFIXES:

all: prep index.html $(PROFILE) $(SAPI_HTMLS) $(CPP_SRC) check_tags check_mft

$(NW_DOCBOOK): $(srcdir)\xsl\db-modified\$(NW_DOCBOOK)
	copy /y $? $@

$(NW_CHNK_CMN): $(srcdir)\xsl\db-modified\$(NW_CHNK_CMN)
	copy /y $? $@

$(CPP_SRC) $(TAG_LIST): $(PROFILE) $(COMMON_ENT) $(SOURCES) $(MKSRC)
	$(XSLTPROC) $(MKSRC) $(PROFILE)

check_tags: $(TAG_LIST)
	$(TAGS_CHK_SCRIPT) $(TAG_LIST) $(top_srcdir)\apps\serna

check_mft:
	$(MFT_CHK_SCRIPT) $(SAPI_DOC_MFT) $(SAPI_GEN_DIR) $(SAPI_PY_DOC_MFT) $(SAPI_PY_GEN_DIR)

.PHONY:

makedirs: .made_dirs

.made_dirs:
	for %d in ($(DOCDIRS)) do @if not exist %d md %d
	type nul >> $@

profile: $(PROFILE)

$(PROFILE): $(SOURCES) $(MKPROFILE) $(DBHTMLUTILS) $(COMMON_ENT)
	$(XSLTPROC) -o $@ $(MKPROFILE) index.xml

prep: copypics makedirs .unpack_done

copypics: .PHONY
	xcopy /s /q /r /y $(docdir)\*.*

.unpack_done: $(NW_DBARCHIVE)
	if exist $@ del /q $@
	$(THIRD_DIR)\bin\bzip2 -dc $(NW_DBARCHIVE) | $(THIRD_DIR)\bin\tar -xf -
	type nul > $@

index.html: $(SOURCES) $(NW_DOCBOOK) $(NW_CHNK_CMN) $(COMMON_ENT)
	$(XSLTPROC) $(NW_DOCBOOK) index.xml
	del $(SAPI_HTMLS)

sapi/index.html: sapi/index.xml index.html
	$(XSLTPROC) -o $@ --param use.id.as.filename 1 $(NW_ORIGNAME)/html/$(NW_DOCBOOK) sapi/index.xml

sapi_py/index.html: sapi_py/index.xml sapi/index.html index.html
	$(XSLTPROC) -o $@ --param use.id.as.filename 1 $(NW_ORIGNAME)/html/$(NW_DOCBOOK) sapi_py/index.xml

clean:
	for %d in ($(DOCDIRS)) do @del /q %d\*.html
	for %d in ($(DOCDIRS)) do @rd /q %d
	del /q *.html $(CPP_SRC) $(PROFILE)

=== debian/changelog ===
serna-free (0.svn270-3ubuntu1) maverick; urgency=low

  * Build-Depends on libqtassistantclient-dev instead of the no longer
    existing libqt4-assistant to fix FTBFS
  * Recommends qt-assistant-compat

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 26 Sep 2010 04:41:53 +0200

serna-free (0.svn270-3) unstable; urgency=low

  * Add Build-Conflicts on qt3-dev-tools, to avoid FTBFS
  * Versioned dependency on docbook-xsl, for the
    /usr/share/xml/docbook/stylesheet/docbook-xsl location.
  * Closes: #569666: Build-dep on libqscintilla2-dev >= 2.4-5
  * Build a serna-dbg package 

 -- Joachim Breitner <nomeata@debian.org>  Sat, 06 Mar 2010 23:17:43 +0100

serna-free (0.svn270-2) unstable; urgency=low

  * Depend on python-sip-dev and use dh_sip 

 -- Joachim Breitner <nomeata@debian.org>  Sun, 07 Feb 2010 22:40:43 +0100

serna-free (0.svn270-1) unstable; urgency=low

  * New upstream release. 22 patches applied upstream!
  * Bump standards version, no change 

 -- Joachim Breitner <nomeata@debian.org>  Fri, 05 Feb 2010 19:22:38 +0100

serna-free (0.svn235-3) unstable; urgency=low

  * Package recommends fop now, thx to Mathieu Malaterre for suggesting this
    (Closes: #567162) 
  * Fix PDF publishing by not setting JAVA_PATH to a non-existant directory.
    (Closes: #567160)
  * Do not compress machine-readable files in /usr/share/doc/serna
  * Use assistant-qt4 instead of assistant 

 -- Joachim Breitner <nomeata@debian.org>  Thu, 28 Jan 2010 21:09:28 +0100

serna-free (0.svn235-2) unstable; urgency=low

  * Added dependencies on python-qt4 and python-sip (Closes: #566987)
  * Manually version dependency on python-sip (Closes: #566823)
  * Add VCS-* headers 

 -- Joachim Breitner <nomeata@debian.org>  Tue, 26 Jan 2010 22:00:21 +0100

serna-free (0.svn235-1) unstable; urgency=low

  * New upstream version
    + QtSingleApplication now treated as a 3rd party component
      Thus ship qtsingleapplication-2.6_1-opensource.tar.gz in debian/3rd
  * Removed convenience copy of docbook-xsl-1.68.1.tar.bz2 from self-created
    orig.tar.gz file (was already removed in my master branch)
  * Ship AUTHORS file

 -- Joachim Breitner <nomeata@debian.org>  Sun, 24 Jan 2010 00:24:44 +0100

serna-free (0.svn139-1) unstable; urgency=low

  * Initial release. (Closes: #535828)

 -- Joachim Breitner <nomeata@debian.org>  Sun, 10 Jan 2010 16:51:08 +0100

=== debian/control ===
Source: serna-free
Section: text
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Joachim Breitner <nomeata@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 python,
 doxygen,
 xsltproc,
 bison,
 openjdk-6-jre,
 pkg-config,
 qt4-qmake,
 qt4-dev-tools,
 python-sip-dev,
 libqtassistantclient-dev,
 libx11-dev,
 x11proto-core-dev,
 libfreetype6-dev,
 libxft-dev,
 libxinerama-dev,
 libxmu-dev,
 libxml2-dev,
 libxslt1-dev,
 libqt4-dev,
 libqscintilla2-dev (>= 2.4-5),
 python-qt4-dev,
 pyqt4-dev-tools,
 libaspell-dev,
 docbook-xsl (>= 1.75.2+dfsg-5),
Build-Conflicts:
 qt3-dev-tools
Standards-Version: 3.8.4
Homepage: http://www.syntext.com/products/serna-free/
VCS-Git: git://git.nomeata.de/serna.git
VCS-Browser: http://git.nomeata.de/?p=serna.git

Package: serna
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${perl:Depends},
 ${python:Depends},
 xsltproc,
 docbook-xsl (>= 1.75.2+dfsg-5),
 python-qt4,
 ${sip:Depends},
Recommends:
 fop, qt-assistant-compat
Description: Graphical XML editor
 Serna Free Open Source XML editor is an easy-to-use visual XML
 application which requires virtually no technical experience from
 technical writers to author XML documents.
 . 
 Serna Free Open Source XML editor hides all the complexities of the
 underlying XML technology.
 .
 Serna Free XML editor employs XSLT and XSL-FO to render XML documents
 in print-like appearance for fast and easy authoring.

Package: serna-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
    serna (= ${binary:Version}),
    ${misc:Depends}
Description: debugging symbols for serna
 Serna Free Open Source XML editor is an easy-to-use visual XML
 application which requires virtually no technical experience from
 technical writers to author XML documents.
 .
 This package contains the debugging symbols for serna.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	# We do all in build. Why not?

override_dh_auto_build:
	# Put 3rd party packages where the serna build system expects them
	mkdir -p 3rd/packages
	( cd 3rd/packages; ln -sf ../../debian/3rd/* . )
	
	# Build/Prepare 3rd party packages
	cd 3rd; ./configure syspkgonly && ./checked_build.sh
	
	# Build serna
	cd build; ./configure syspkg && make

	# Build Makefile.install
	make -C build/serna/app/ -f GNUmakefile $(CURDIR)/build/serna/app/Makefile.install

override_dh_auto_install:
	mkdir -p debian/serna/usr/lib/serna
	mkdir -p debian/serna/usr/share/doc/serna
	mkdir -p debian/inst_prefix
	ln -sf $(CURDIR)/debian/serna/usr/lib/serna debian/inst_prefix/serna-free-4.3
	ln -sf $(CURDIR)/debian/serna/usr/share/doc/serna debian/serna/usr/lib/serna/doc
	make -C build/serna/app/ -f Makefile.install \
		inst_prefix=$(CURDIR)/debian/inst_prefix
	rm debian/inst_prefix/serna-free-4.3
	rm debian/serna/usr/lib/serna/doc
	rmdir debian/inst_prefix
	
	mkdir -p debian/serna/usr/bin
	mv debian/serna/usr/lib/serna/bin/serna.bin debian/serna/usr/bin/serna
	rm -rf debian/serna/usr/lib/serna/bin
	
	# Remove unneeded and unwanted files
	rm debian/serna/usr/lib/serna/config-template-orig.ent
	rm debian/serna/usr/lib/serna/config-template-orig.xml
	rm debian/serna/usr/lib/serna/LICENSE.GPL
	rm debian/serna/usr/lib/serna/SP-COPYING
	rm debian/serna/usr/lib/serna/plugins/dita/DITA-OT1.4/license.txt
	rm debian/serna/usr/lib/serna/plugins/speller/ASPELL-COPYING
	rm debian/serna/usr/lib/serna/plugins/speller/ASPELL-EN-COPYING
	rm debian/serna/usr/lib/serna/plugins/tei/tei-xsl-serna/SR-COPYING
	rm debian/serna/usr/lib/serna/plugins/docbook/docbook-xsl-serna/NW-COPYING
	rm debian/serna/usr/lib/serna/plugins/dita/DITA-OT1.4/tools/ant/LICENSE.dom
	rm debian/serna/usr/lib/serna/plugins/dita/DITA-OT1.4/tools/ant/LICENSE.sax
	rm debian/serna/usr/lib/serna/plugins/dita/DITA-OT1.4/tools/ant/LICENSE.xerces

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/serna/lib

override_dh_clean:
	dh_clean
	rm -f 3rd/packages/*
	
	cd 3rd; test ! -e Makefile || make clean
	
	cd build; test ! -e GNUmakefile || make clean
	
	# Above commands are far from complete
	rm -rf build/serna build/sfworks/ build/GNUmakefile
	find -name \*.pyc -delete
	rm -f 3rd/Makefile
	rm -f 3rd/*/Makefile 3rd/*/cbuild.log
	rm -f   3rd/antlr/2.7.1/Makefile \
		3rd/aspell/0.50.5/Makefile \
		3rd/dita-ot/1.4/Makefile \
		3rd/docbook/1.68.1/Makefile \
		3rd/doxygen/1.5.1/Makefile \
		3rd/iconv/1.11/Makefile \
		3rd/jdk/1.6.0/Makefile \
		3rd/libxml/2.6.27/Makefile \
		3rd/pyqt/4.5.4/Makefile \
		3rd/python/2.6.2/Makefile \
		3rd/qscintilla/2.4/Makefile \
		3rd/qt/4.5.2/Makefile \
		3rd/qtpropertybrowser/2.5/Makefile \
		3rd/sip/4.8.2/Makefile \
		3rd/xsltproc/1.1.19/Makefile \
		3rd/qtsingleapplication/2.6_1/Makefile
	rm -f	3rd/antlr/configure.log \
		3rd/antlr/2.7.1/.configure_options \
		3rd/qtsingleapplication/2.6_1/.configure_options
	rm -f	3rd/qtsingleapplication/2.6_1/custom.pri \
		3rd/qtsingleapplication/configure.log \
		3rd/qtsingleapplication/include
	rm -f 3rd/antlr/antlr
	rm -rf 3rd/antlr/include 3rd/antlr/lib 3rd/bin 3rd/lib
	rm -f 3rd/dita-ot/dita-dir-catalog.xml 3rd/dita-ot/dita-dir.ent
	rm -f 3rd/pyqt/MANIFEST 3rd/python/MANIFEST 3rd/docbook/MANIFEST
	rm -f 3rd/qtpropertybrowser/2.5/.configure_options 3rd/qtpropertybrowser/2.5/custom.pri
	rm -f 3rd/qtpropertybrowser/configure.log 3rd/qtpropertybrowser/include
	rm -f serna/dist/bin/xsltproc

override_dh_makeshlibs:
	# We do not have any public shared libraries
	# But run dh_sip around here
	dh_sip

override_dh_compress:
	dh_compress -Xserna.qch -Xserna.qhc -Xserna.adp -X.xml

override_dh_strip:
	dh_strip --dbg-package=serna-dbg

## serna-free 0.svn288

=== 3rd/jade/nsgmls/Makefile ===

#############################################################################
# Makefile for building nsgmls
# Generated by tmake at 14:28, 1999/10/06
#     Project: nsgmls
#    Template: ../pro/japp
#############################################################################

####### Compiler, tools and options

CC	=	egcs
CXX	=	eg++
CFLAGS	=	-pipe -O2 -fno-strength-reduce
CXXFLAGS=	-DSTDC_HEADERS=1 \
-DHAVE_LIMITS_H=1 -DHAVE_ST_BLKSIZE=1 -O2 -fno-strength-reduce
INCPATH	=	-I../sp -I../generic
LINK	=	eg++ -pthread
LFLAGS	=	
LIBS	=	-L../libs -lsp
MOC	=	moc

TAR	=	tar -cf
GZIP	=	gzip -9f

####### Files

HEADERS =	NsgmlsMessages.h \
		RastEventHandler.h \
		RastEventHandlerMessages.h \
		SgmlsEventHandler.h \
		StringSet.h
SOURCES =	RastEventHandler.cxx \
		SgmlsEventHandler.cxx \
		StringSet.cxx \
		nsgmls.cxx \
		nsgmls_inst.cxx
OBJECTS =	RastEventHandler.o \
		SgmlsEventHandler.o \
		StringSet.o \
		nsgmls.o \
		nsgmls_inst.o
SRCMOC	=	
OBJMOC	=	
DIST	=	
TARGET	=	nsgmls

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: $(TARGET)

$(TARGET): $(OBJECTS) $(OBJMOC) 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

moc: $(SRCMOC)

tmake:
	tmake nsgmls.pro

dist:
	$(TAR) nsgmls.tar nsgmls.pro $(SOURCES) $(HEADERS) $(DIST)
	$(GZIP) nsgmls.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(TARGET)
	-rm -f *~ core

####### Compile

RastEventHandler.o: RastEventHandler.cxx \
		RastEventHandler.h \
		RastEventHandlerMessages.h

SgmlsEventHandler.o: SgmlsEventHandler.cxx \
		SgmlsEventHandler.h \
		StringSet.h

StringSet.o: StringSet.cxx \
		StringSet.h

nsgmls.o: nsgmls.cxx \
		SgmlsEventHandler.h \
		StringSet.h \
		RastEventHandler.h \
		NsgmlsMessages.h

nsgmls_inst.o: nsgmls_inst.cxx \
		StringSet.h \
		RastEventHandler.h

=== 3rd/jade/spent/Makefile ===

#############################################################################
# Makefile for building spent
# Generated by tmake at 14:28, 1999/10/06
#     Project: spent
#    Template: ../pro/japp
#############################################################################

####### Compiler, tools and options

CC	=	egcs
CXX	=	eg++
CFLAGS	=	-pipe -O2 -fno-strength-reduce
CXXFLAGS=	-DSTDC_HEADERS=1 \
-DHAVE_LIMITS_H=1 -DHAVE_ST_BLKSIZE=1 -O2 -fno-strength-reduce
INCPATH	=	-I../sp -I../generic
LINK	=	eg++ -pthread
LFLAGS	=	
LIBS	=	-L../libs -lsp
MOC	=	moc

TAR	=	tar -cf
GZIP	=	gzip -9f

####### Files

HEADERS =	
SOURCES =	spent.cxx
OBJECTS =	spent.o
SRCMOC	=	
OBJMOC	=	
DIST	=	
TARGET	=	spent

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: $(TARGET)

$(TARGET): $(OBJECTS) $(OBJMOC) 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

moc: $(SRCMOC)

tmake:
	tmake spent.pro

dist:
	$(TAR) spent.tar spent.pro $(SOURCES) $(HEADERS) $(DIST)
	$(GZIP) spent.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(TARGET)
	-rm -f *~ core

####### Compile

spent.o: spent.cxx

=== 3rd/jade/spgrove/Makefile ===

#############################################################################
# Makefile for building libspgrove.so.1.3
# Generated by tmake at 14:28, 1999/10/06
#     Project: spgrove
#    Template: ../pro/jlib
#############################################################################

####### Compiler, tools and options

CC	=	egcs
CXX	=	eg++
CFLAGS	=	-pipe -O2 -fno-strength-reduce -fPIC
CXXFLAGS=	-DSTDC_HEADERS=1 \
-DHAVE_LIMITS_H=1 -DHAVE_ST_BLKSIZE=1 -O2 -fno-strength-reduce -fPIC
INCPATH	=	-I../grove -I../sp -I../generic
LINK	=	eg++ -pthread
LFLAGS	=	-shared
LIBS	=	
AR	=	ar cqs
RANLIB	=	
MOC	=	moc

TAR	=	tar -cf
GZIP	=	gzip -9f

####### Files

HEADERS =	GroveApp.h \
		GroveBuilder.h \
		SdNode.h \
		threads.h
SOURCES =	GroveApp.cxx \
		GroveBuilder.cxx \
		SdNode.cxx
OBJECTS =	GroveApp.o \
		GroveBuilder.o \
		SdNode.o
SRCMOC	=	
OBJMOC	=	
DIST	=	
TARGET	=	libspgrove.so.1.3
TARGETA	=	../libs/libspgrove.a
TARGETD	=	libspgrove.so.1.3
TARGET0	=	libspgrove.so
TARGET1	=	libspgrove.so.1

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: ../libs/libspgrove.so.1.3

../libs/libspgrove.so.1.3: $(OBJECTS) $(OBJMOC) 
	-rm -f $(TARGET) $(TARGET0) $(TARGET1)
	$(LINK) $(LFLAGS) -o $(TARGETD) $(OBJECTS) $(OBJMOC) $(LIBS)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-rm -f ../libs/$(TARGET)
	-rm -f ../libs/$(TARGET0)
	-rm -f ../libs/$(TARGET1)
	-mv $(TARGET) $(TARGET0) $(TARGET1) ../libs/

staticlib: $(TARGETA)

$(TARGETA): $(OBJECTS) $(OBJMOC) 
	-rm -f $(TARGETA)
	$(AR) $(TARGETA) $(OBJECTS) $(OBJMOC)

moc: $(SRCMOC)

tmake:
	tmake spgrove.pro

dist:
	$(TAR) spgrove.tar spgrove.pro $(SOURCES) $(HEADERS) $(DIST)
	$(GZIP) spgrove.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(TARGET)
	-rm -f $(TARGET0) $(TARGET1) $(TARGETA)
	-rm -f *~ core

####### Compile

GroveApp.o: GroveApp.cxx \
		GroveApp.h \
		GroveBuilder.h \
		threads.h

GroveBuilder.o: GroveBuilder.cxx \
		GroveBuilder.h \
		SdNode.h \
		threads.h \
		grove_inst.cxx

SdNode.o: SdNode.cxx \
		SdNode.h \
		GroveBuilder.h

=== sfworks/common/tests/Makefile ===
#
# Makefile for Type matching testing
#
#

MWARE   =../..
MODE    =test
SUBSYS  =common

include $(MWARE)/Makefile.defs

ifeq ($(OPSYS),sunos)
    CXX_FLAGS += -D_USE_SPARC_ATOMIC
endif

TEST_SRC        := $(wildcard *.cpp)
TEST_OBJS       := $(TEST_SRC:%.cpp=$(OBJ_DIR)%.$O)
TEST_DRIVERS    := $(patsubst %.cpp,$(TEST_DEST)%$(E),$(TEST_SRC))
SCRIPTS         += ./run_common_test.sh ./run_common_test_long.sh
#TEST_RUNS       := $(patsubst %.cpp,run_%,$(TEST_SRC))
TEST_DATA_DIR   := ../../tests

export TEST_DATA_DIR

RMFILES         += $(TEST_DRIVERS)

INCLUDES    += -I$(COMMON_IFACE)

ALL_SRC=$(TEST_SRC)

LIBS= $(EOLLIBS)

include $(MWARE)/Makefile.common

default:all

all: copyscripts $(TEST_DRIVERS)

copyscripts:
	chmod 755 $(SCRIPTS)
	cp $(SCRIPTS) *.data $(TEST_DEST)

test_run:
	cd $(TEST_DEST) ; $(SHELL) ./run_common_test.sh

test_long_run:
	cd $(TEST_DEST) ; $(SHELL) ./run_common_test_long.sh

$(OBJ_DIR)%.$O: %.cpp
	$(CXX) $(CXX_OFLAGS) $(DEFINES) $(INCLUDES) $(CXX_FLAGS) $(CXX_ADD) -c $<

$(TEST_DEST)%$E: $(OBJ_DIR)%.$O $(LIBS)
	$(LD) $(LD_FLAGS) $(LD_OFLAGS) $^ $(LIBS) $(SSL_IMPL) $(SYS_LIBS)

=== tools/buildsys/rpmsupport/Makefile ===
#
# Makefile for rpmbuild (called during rpmbuild invocation)
#

ST_DIR          ?= /home/abs/main
ST_BUILDDIR     ?= $(ST_DIR)/build

override prefix  := $(if $(prefix),$(shell echo $(prefix) | sed -e 's%^/%%'),usr/local)

top_srcdir	?= $(ST_DIR)
inst_prefix	?= ${prefix}

all-forward: all

ifneq (${RPM_SUBMAKEFILE},)
    include ${RPM_SUBMAKEFILE}
else
    $(error Cannot find makefile when preparing rpm)
endif

=== serna/dist/xml/stylesheets/xslbricks/Makefile ===
# WARNING: WORKS WITH GNU MAKE ONLY!

XT				= saxon

SITE_FILES 		:= $(shell find . -name '*.html' -or -name '*.xhtml'\
-or -name '*.htm' -or -name '*.gif' -or -name '*.png' -or -name '*.jpg'\
-or -name '*.xhtm' -or -name '*.rtf' -or -name '*.zip' -or -name '*.tgz'\
-or -name '*.txt' -or -name '*.xsd' -or -name '*.dtd' -or -name '*.css')

SITE_DIRS		:= $(shell find . -type d -and \! -name '*CVS')

.SUFFIXES: .html .htm .xsl .xml .xhtml .htm .html

all: html/inlines.xsl fo/inlines.xsl html/blocks.xsl fo/blocks.xsl\
fo/lists.xsl html/lists.xsl fo/simple-tables.xsl html/simple-tables.xsl

html/inlines.xsl: inlines_template.xsl backend-generator.xsl
	$(XT) inlines_template.xsl backend-generator.xsl $@ output='html'

fo/inlines.xsl: inlines_template.xsl backend-generator.xsl
	$(XT) inlines_template.xsl backend-generator.xsl $@ output='fo'

html/blocks.xsl: blocks_template.xsl backend-generator.xsl
	$(XT) blocks_template.xsl backend-generator.xsl $@ output='html'

fo/blocks.xsl: blocks_template.xsl backend-generator.xsl
	$(XT) blocks_template.xsl backend-generator.xsl $@ output='fo'

html/lists.xsl: lists_template.xsl backend-generator.xsl
	$(XT) lists_template.xsl backend-generator.xsl $@ output='html'

fo/lists.xsl: lists_template.xsl backend-generator.xsl
	$(XT) lists_template.xsl backend-generator.xsl $@ output='fo'

html/simple-tables.xsl: simple-tables_template.xsl backend-generator.xsl
	$(XT) simple-tables_template.xsl backend-generator.xsl $@ output='html'

fo/simple-tables.xsl: simple-tables_template.xsl backend-generator.xsl
	$(XT) simple-tables_template.xsl backend-generator.xsl $@ output='fo'

=== debian/changelog ===
serna-free (0.svn288-1ubuntu2) natty; urgency=low

  * Rebuild with python 2.7 as the python default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Dec 2010 16:56:37 +0000

serna-free (0.svn288-1ubuntu1) natty; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Build-Depends on libqtassistantclient-dev instead of the no longer
      existing libqt4-assistant to fix FTBFS
    - Recommends qt-assistant-compat

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 20 Oct 2010 22:16:40 +0200

serna-free (0.svn288-1) unstable; urgency=low

  * New upstream release, 1 patch applied upstream.
  * Do not hide build output
  * Rebuilding removes dependencies on python2.5 

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Sep 2010 13:55:59 +0200

=== debian/control ===
--- 
+++ 
@@ -48,7 +48,8 @@
  python-qt4,
  ${sip:Depends},
 Recommends:
- fop, qt-assistant-compat
+ fop,
+ qt-assistant-compat
 Description: Graphical XML editor
  Serna Free Open Source XML editor is an easy-to-use visual XML
  application which requires virtually no technical experience from

=== debian/rules ===
--- 
+++ 
@@ -76,7 +76,7 @@
 		3rd/pyqt/4.5.4/Makefile \
 		3rd/python/2.6.2/Makefile \
 		3rd/qscintilla/2.4/Makefile \
-		3rd/qt/4.5.2/Makefile \
+		3rd/qt/4.5.3/Makefile \
 		3rd/qtpropertybrowser/2.5/Makefile \
 		3rd/sip/4.8.2/Makefile \
 		3rd/xsltproc/1.1.19/Makefile \
@@ -94,6 +94,7 @@
 	rm -f 3rd/qtpropertybrowser/2.5/.configure_options 3rd/qtpropertybrowser/2.5/custom.pri
 	rm -f 3rd/qtpropertybrowser/configure.log 3rd/qtpropertybrowser/include
 	rm -f serna/dist/bin/xsltproc
+	rm -f serna/dist/doc-dita/version.xml
 
 override_dh_makeshlibs:
 	# We do not have any public shared libraries

## serna-free 4.3.0.20110221

=== debian/changelog ===
serna-free (4.3.0.20110221-7) unstable; urgency=low

  * Transition to dh_python2. Really Closes: #642567
  * Bump Standard-Version to 3.9.2. No changes needed
  * Fix a lintian warning (configure-generated-file-in-source)
  * Fix clean rule for python 2.7.2

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Wed, 02 Nov 2011 16:48:12 +0100

serna-free (4.3.0.20110221-6) unstable; urgency=low

  * Fix compilation with python 2.7.2. Closes: #640948
  * B-D on python-support. Closes: #642567
  * Fix bashism report, explicitely use bash. Closes: #581136
  * Rebuild package for transition to libqscintilla2-6. Closes: #640948

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Sun, 30 Oct 2011 11:05:36 +0100

serna-free (4.3.0.20110221-5) unstable; urgency=low

  * Change Standard-Version to 3.9.2 (no change needed)
  * Change openjdk-jre into default-jre for kfreebsd-*

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Thu, 02 Jun 2011 18:51:18 +0200

serna-free (4.3.0.20110221-4) unstable; urgency=low

  * include <stddef> (Closes: #625004)

 -- Joachim Breitner <nomeata@debian.org>  Wed, 25 May 2011 11:22:32 +0200

serna-free (4.3.0.20110221-3) unstable; urgency=low

  * Add new patch for non-x86 platform and integer size
  * Provide a compilation fix for gcc 4.5. Closes: #618995

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Sun, 10 Apr 2011 19:09:31 +0200

serna-free (4.3.0.20110221-2) unstable; urgency=low

  * Add B-D to libqtassistantclient-dev. Closes: #618204

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Thu, 17 Mar 2011 14:42:29 +0100

serna-free (4.3.0.20110221-1) unstable; urgency=low

  * New upstream relese (Closes: #613981)
  * Adding myself to Uploader
  * Using new VCS: hg (bitbucket.org/syntext)
  * Add new get-orig-source target

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Mon, 21 Feb 2011 13:59:42 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 %:
-	dh $@
+	dh $@ --with python2
 
 override_dh_auto_configure:
 	# We do all in build. Why not?
@@ -74,7 +74,7 @@
 		3rd/jdk/1.6.0/Makefile \
 		3rd/libxml/2.6.27/Makefile \
 		3rd/pyqt/4.5.4/Makefile \
-		3rd/python/2.6.2/Makefile \
+		3rd/python/2.7.2/Makefile \
 		3rd/qscintilla/2.4/Makefile \
 		3rd/qt/4.5.3/Makefile \
 		3rd/qtpropertybrowser/2.5/Makefile \
@@ -95,6 +95,8 @@
 	rm -f 3rd/qtpropertybrowser/configure.log 3rd/qtpropertybrowser/include
 	rm -f serna/dist/bin/xsltproc
 	rm -f serna/dist/doc-dita/version.xml
+	# reported by lintian:
+	rm -f 3rd/jade/config.cache 3rd/jade/config.log 3rd/jade/config.status
 
 override_dh_makeshlibs:
 	# We do not have any public shared libraries
@@ -106,3 +108,6 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=serna-dbg
+
+get-orig-source:
+	./debian/get-orig-source.sh
